# Vue 3 + TypeScript + Vite

This template should help get you started developing with Vue 3 and TypeScript in Vite. The template uses Vue 3 `<script setup>` SFCs, check out the [script setup docs](https://v3.vuejs.org/api/sfc-script-setup.html#sfc-script-setup) to learn more.

## Recommended IDE Setup

- [VS Code](https://code.visualstudio.com/) + [Volar](https://marketplace.visualstudio.com/items?itemName=Vue.volar)

## Type Support For `.vue` Imports in TS

## 资讯定义类型

HOT_CONSULTATION("热门资讯"),
OPEN_SCREEN_AD("开屏广告"),
FLASH_PAGE("闪页管理"),
ROTATION_CHART("轮播图管"),
MUSIC("乐理章节"),

## 样式定义

省市区、乐团名称最多 8 个字

Since TypeScript cannot handle type information for `.vue` imports, they are shimmed to be a generic Vue component type by default. In most cases this is fine if you don't really care about component prop types outside of templates. However, if you wish to get actual prop types in `.vue` imports (for example to get props validation when using manual `h(...)` calls), you can enable Volar's Take Over mode by following these steps:

1. Run `Extensions: Show Built-in Extensions` from VS Code's command palette, look for `TypeScript and JavaScript Language Features`, then right click and select `Disable (Workspace)`. By default, Take Over mode will enable itself if the default TypeScript extension is disabled.
2. Reload the VS Code window by running `Developer: Reload Window` from the command palette.

You can learn more about Take Over mode [here](https://github.com/johnsoncodehk/volar/discussions/471).

## 项目流程

UI 库文档地址：https://www.naiveui.com
1、项目安装 [node.js 官网地址](https://www.nodejs.com.cn/)
node 版本安装 16.x
npm install 安装依耐包
npm run dev 启动项目
npm run build 项目打包
代理配置

2、路由
/src/router/constant
定义
配置
注意事项：

- 接口和菜单区别
- 菜单路由生成规则

3、页面
1). 搜索条件
2). table 列表
3). 分页
4). 接口请求
5). 表单，表单验证，提交表单, 不同类型的表单有单独的类型处理
6). 权限定义
