// 办学性质
export const schoolNature = {
  PRIVATE: '民办',
  PUBLIC: '公办'
}

// 岗位
export const position = {
  IM_SERVICE: 'IM客服',
  REPAIR: '维修工',
  STAFF: '职员'
}

// 系统员工状态
export const employee = {
  // CANCEL: '注销',
  LOCKED: '冻结',
  ACTIVATION: '正常'
}
// 学年制
export const schoolSystem = {
  fiveYearSystem: '五年制',
  sixYearSystem: '六年制'
}

// 支付服务提供方
export const openType = {
  ORIGINAL: '原生微信支付宝',
  ADAPAY: '汇付',
  OTHER: '其它'
}

// 客户端类型
export const clientType = {
  BACKEND: '后台',
  SCHOOL: '管理端',
  TEACHER: '老师端',
  STUDENT: '学生端',
  REPAIR: '维修端'
}

// 协议类型
export const protocolType = {
  BUY_ORDER: '产品与服务协议',
  WITHDRAW: '三方协议',
  REGISTER: '使用协议(学生端)',
  REGISTER_TEACHER: '使用协议(伴学端/管理端)',
  LABOR_TEACHER: '劳务协议'
}

// 消息组
export const messageGroup = {
  SYSTEM: '系统消息',
  COURSE: '课程信息'
}

// 平台建议
export const suggestionType = {
  APP: '软件反馈',
  SMART_PRACTICE: '智能陪练'
}

// 内容分类
export const contentCategory = {
  HOT_CONSULTATION: '热门资讯',
  OPEN_SCREEN_AD: '开屏广告',
  FLASH_PAGE: '闪页管理',
  ROTATION_CHART: '轮播图管',
  MUSIC: '乐理章节'
}

export const musicType = {
  DELIVERY: '交付团',
  PROMOTION: '晋升团'
}
// 交付团类型
export const orchestraTypes = {
  SINGLE_DELIVERY: '单交付团',
  MULTIPLE_DELIVERY: '多交付常规团',
  MULTIPLE_DELIVERY_SCHOOL: '多交付校团'
}

// 乐团类型
export const orchestraType = {
  DELIVERY: '交付团',
  PROMOTION: '晋升团'
}
// 乐团状态
export const musicStatus = {
  // SUBJECT_CONFIG: '声部配置',
  INITIATION_SURVEY: '启蒙调查',
  PRE_REGISTER: '家长会调查',
  REGISTER: '乐团注册',
  DOING: '乐团交付',
  DONE: '进行中',
  CLOSE: '关闭'
}

// 播放类型
export const audioType = {
  MP3: 'MP3',
  MIDI: 'MIDI'
}

// 伴奏类型
export const accompanimentType = {
  HOMEMODE: '自制伴奏',
  COMMON: '普通伴奏'
}

// 课程类型
export const courseEmnu = {
  PERCUSSION_SINGLE: '打击乐',
  FLUTE_SINGLE: '长笛',
  SAX_SINGLE: '萨克斯',
  CLARINET_SINGLE: '单簧管',
  TRUMPET_SINGLE: '小号',
  TROMBONE_SINGLE: '长号',
  HORN_SINGLE: '圆号',
  BARITONE_TUBA_SINGLE: '上低音号-大号',
  MUSIC_THEORY: '乐理',
  INSTRUMENTAL_ENSEMBLE: '合奏',
  EUPHONIUM_SINGLE: '上低音号',
  TUBA_SINGLE: '大号'
  // TEST_CLARINET: '测试竖笛'
}

// 学生状态
export const studentStatusEmnu = {
  REGISTER: '报名',
  LEARNING: '在读',
  OUTOF_ORCHESTRA: '退团'
}

// 订单状态
export const orderStatus = {
  WAIT_PAY: '待支付',
  PAYING: '支付中',
  PAID: '已付款',
  TIMEOUT: '订单超时',
  FAIL: '支付失败',
  CLOSED: '订单关闭',
  REFUNDING: '退款中',
  REFUNDED: '已退款'
}

// 订单类型
export const orderType = {
  VIP: '开通会员',
  ORCHESTRA: '乐团注册'
}

// 交易状态
export const reportStatus = {
  SUCCESSED: '交易成功',
  PENDDING: '退费中',
  FAILED: '交易失败'
}

// 交易状态
export const tradeStatus = {
  SUCCESSED: '交易成功',
  PENDDING: '交易中',
  FAILED: '交易失败'
}

// 审核状态
export const refundStatus = {
  PASS: '审核通过',
  REJECT: '审核拒绝',
  ING: '审核中',
  CLOSED: '已关闭'
}

// 课程状态
export const courseStatus = {
  NOT_START: '未开始',
  ING: '进行中',
  COMPLETE: '已结束'
}

// 学生考勤状态
export const attendanceStatus = {
  LATE: '迟到',
  NORMAL: '正常',
  LEAVE: '请假',
  TRUANCY: '旷课',
  UNCALLED: '未点名'
}

// 老师老师考勤
export const teacherAttendanceStatus = {
  NORMAL: '正常',
  EXCEPTION: '异常',
  LATE: '迟到',
  EARLY: '早退',
  LEAVE: '请假',
  TRUANCY: '旷课',
  NO_SIGN: '未签到',
  NO_SIGN_OUT: '未签退',
  UNCALLED: '未点名',
  LOCATION_EXCEPTION: '定位异常'
}

// 审核状态
export const authStatus = {
  DOING: '审核中',
  PASS: '通过',
  UNPASS: '不通过'
}

// 结算状态
export const withdrawalStatus = {
  WAIT: '待结算',
  SETTLED: '已结算',
  PART_SETTLED: '部分结算',
  SETTLE_FAIL: '结算失败',
  SETTLEING: '结算中'
}
// 补助类型
export const salaryType = {
  MANAGE: '管理补助',
  COURSE: '课程补助',
  TRAINING: '练习补助'
} as any

// 补助类型
export const heardLevelType = {
  BEGINNER: '入门级',
  ADVANCED: '进阶级',
  PERFORMER: '大师级'
} as any

// 曲目类型
export const musicSheetType = {
  SINGLE: '独奏',
  CONCERT: '合奏'
} as any

// 作者属性
export const musicSheetSourceType = {
  PLATFORM: '平台',
  ORG: '机构',
  PERSON: '个人'
} as any

// 声部管理
// 默认谱面
export const defaultScore = {
  STAVE: '五线谱',
  FIRST: '首调',
  JIAN: '固定值'
} as any

// 曲目适用项目
export const appKey = {
  GYM: '管乐迷',
  GYT: '管乐团',
  KLX: '酷乐秀',
  KT: '音乐数字课堂'
} as any

// 曲目收费类型(FREE:免费;VIP:会员;CHARGE:单曲收费)
export const musicSheetPaymentType = {
  FREE: '免费',
  VIP: '会员',
  CHARGE: '单曲收费',
} as any

// 曲目可用途径 ORG 机构 PLATFORM 平台
export const musicSheetAvailableType = {
  ORG: '机构',
  PLATFORM: '平台',
  PERSON: '个人',
} as any

// 曲目音频类型
export const musicSheetAudioType = {
  HOMEMODE: '自制伴奏',
  COMMON: '普通伴奏',
} as any