
import request from '@/utils/request/index'

/**
 * @description: 获取登录日志
 */
export const sysUserLoginLogPage = (params: object) => {
  return request({
    url: '/cbs-app/sysUserLoginLog/page',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 获取登录统计
 */
export const sysUserLoginPage = (params: object) => {
  return request({
    url: '/cbs-app/sysUserLogin/page',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 获取登录设备
 */
export const sysUserDevicePage = (params: object) => {
  return request({
    url: '/cbs-app/sysUserDevice/page',
    method: 'post',
    data: params
  } as any)
}

/**
 * @description: 获取操作日志
 */
export const sysUserAuditLogPage = (params: object) => {
  return request({
    url: '/cbs-app/sysUserAuditLog/page',
    method: 'post',
    data: params
  } as any)
}