import request from '@/utils/request'

/**
 * @description: 查询参数 多个逗号隔开
 */
export const sysParamConfigQueryByParamNameList = (params: object) => {
  return request({
    url: '/cbs-app/sysParamConfig/queryByParamNameList?paramNames=' + params,
    method: 'get',
    requestType: 'form',
  } as any)
}

/**
 * @description: 查询参数 多个逗号隔开
 */
export const sysParamConfigQueryByParamName = (params: object) => {
  return request({
    url: '/cbs-app/sysParamConfig/queryByParamName?paramName=' + params,
    method: 'get',
    requestType: 'form',
  } as any)
}
/**
 * @description: 修改
 */
export const sysParamConfigUpdate = (params: object) => {
  return request({
    url: '/cbs-app/sysParamConfig/update',
    method: 'post',
    data: params
  } as any)
}
