export const RedirectName = ''
export const asyncRoutes = {
    ErrorPage: () => import('@/views/exception/404.vue'),
    Layout: () => import('@/layout/index.vue'),
    ParentLayout: () => import('@/layout/parentLayout.vue'),
    // setMenu: () => import('@/views/menu-manage/index'),
    home: () => import('@/views/test/index'),
    loginLog: () => import('@/views/login-log/index'), // 登录日志
    interfaceLog: () => import('@/views/login-log/interface-log'), // 操作日志
    // cityManage: () => import('@/views/city-manage/index'), // 城市管理
    menuManage: () => import('@/views/system-manage/menu-manage/index'), // 菜单管理
    systemApply: () => import('@/views/system-manage/system-apply/index'), // 系统应用
    roleManage: () => import('@/views/system-manage/role-mange/index'), // 角色管理
    // stationManage: () => import('@/views/system-manage/station-manage/index'), // 岗位管理
    employeeManage: () => import('@/views/system-manage/employee-manage/employee-tab'), // 员工管理
    // protocolManage: () => import('@/views/system-manage/protocol-manage/index'), // 协议管理
    paramSettings: () => import('@/views/system-manage/param-settings/index'), // 参数设置
    songManage: () => import('@/views/system-manage/subject-manage/index'), // 声部管理
    instrumentManger: () => import('@/views/system-manage/subject-manage/instrument/instrument-list'), // 乐器管理
    // songSetting: () => import('@/views/system-manage/song-setting/index'), // 声部基础配置
    // appVersion: () => import('@/views/system-manage/app-version/index'), // app版本控制
    // systemHoliday: () => import('@/views/system-manage/system-holiday/index'), // 节假日设置
    // platformSuggestion: () => import('@/views/system-manage/platform-suggestion/index'), // 平台建议
    // schoolManage: () => import('@/views/school-manage/index'), // 学校管理
    // schoolOperation: () => import('@/views/school-manage/component/school-operation'), // 添加学校
    // schoolDetail: () => import('@/views/school-manage/school-detail/index'), // 学校详情
    // contentFlash: () => import('@/views/content-manage/content-flash/index'), // 闪页管理
    // contentNotice: () => import('@/views/content-manage/content-notice/index'), // 公告管理
    // contentInformation: () => import('@/views/content-manage/content-information/index'), // 资讯管理
    contentAppButton: () => import('@/views/content-manage/content-app-button/index'), // app 按钮管理
    // contentAd: () => import('@/views/content-manage/content-ad/index'), // 广告管理
    // helpCenter: () => import('@/views/content-manage/help-center/index'), // 帮助中心
    // musicManage: () => import('@/views/content-manage/music-manage/index'), // 曲谱管理
    // musicgroupManage: () => import('@/views/music-group-manage/index'), // 乐团列表
    // singleMusicGroupManage: () => import('@/views/music-group-manage/single-index'), // 乐团列表 - single
    // studyGuidanceManage: () => import('@/views/study-guidance-manage/index'), // 伴学老师管理
    // studyGuidanceManage: () => import('@/views/study-guidance-manage/index-catagory'), // 伴学老师管理
    // studyGuidanceDetail: () => import('@/views/study-guidance-manage/study-guidance-detail'), // 伴学老师详情
    // studyGuidanceStatistics: () => import('@/views/study-guidance-manage/statistics'), //
    // teacherEvaluationRecord: () => import('@/views/study-guidance-manage/teacher-evaluation-record'), // 伴学老师评测详情
    // teacherRecordInfo: () => import('@/views/study-guidance-manage/teacher-evaluation-record-info'),
    // createGroup: () => import('@/views/music-group-manage/createGroup'),
    educationalManage: () => import('@/views/educational-manage/index'), // 素材管理
    knowledgeManage: () => import('@/views/knowledge-manage/knowledge-list/index'), //知识点管理
    knowledgeDetail: () => import('@/views/knowledge-manage/knowledge-detail'), //知识点详情
    afterClassTrainingManage: () => import('@/views/teaching-manage/after-class-training/index'), //课后训练
    afterClassTrainingDetail: () => import('@/views/teaching-manage/after-class-training-detail/index'), //课后训练详情
    // groupDetail: () => import('@/views/music-group-manage/groupDetail'), // 乐团详情
    coursewareManage: () => import('@/views/teaching-manage/courseware-manage/index'), // 课件列表
    teachingPlan: () => import('@/views/teaching-manage/teaching-plan/index'), // 教学计划列表
    coursewareDetail: () => import('@/views/teaching-manage/courseware-manage/detail'), // 课件创建和配置
    planDetail: () => import('@/views/teaching-manage/teaching-plan/plan-detail'), // 教学计划关联课件
    // musicCategrory: () => import('@/views/music-categrory/index'),
    // auditCenter: () => import('@/views/audit-center/index'), // 审核中心
    // orderManage: () => import('@/views/order-manage/index'), // 交易管理
    // studentEvaluationRecord: () => import('@/views/student-manage/student-evaluation-record'), // 学员管理评测详情
    // studentManage: () => import('@/views/student-manage/index-catagory'), // 学员管理
    // studentDetail: () => import('@/views/student-manage/student-detail'),
    // operationManual: () => import('@/views/operation-manual/index'),
    unitExamination: () => import('@/views/teaching-manage/unit-test/index'),
    unitTestCreate: () => import('@/views/teaching-manage/unit-test/unit-test-index/editAndUpdate'),
    // subsidyManage: () => import('@/views/subsidy-manage/index'),
    // subsidyDetail: () => import('@/views/subsidy-manage/subsidyDetail'),
    // practiceManage: () => import('@/views/practice-manage/index'),
    // deviceNumManage: () => import('@/views/system-manage/device-num-manage/index'),
    // smsCodeMessage: () => import('@/views/sms-code-message/index'), // 短信验证码
    musicSheet: () => import('@/views/music-library/music-sheet/index'), // 曲谱管理
    projectMusicSheetManager: () => import('@/views/music-library/project-music-sheet/index'), // 曲谱管理
    // subjectCategorizeManage: () => import('@/views/system-manage/instrument-manage/index'), // 声部分类管理

}
