export const getOwnerName = (musicSheetExtend: any, sourceType: string) => {
  let ownerName;
  if (musicSheetExtend?.userName) {
    ownerName = musicSheetExtend.userName
  }
  if (!ownerName) {
    return null
  }

  if (musicSheetExtend && musicSheetExtend.userName) {
    ownerName = musicSheetExtend.userName
    const appName = musicSheetExtend.applicationName;
    const clientType = musicSheetExtend.clientType ? '-' + musicSheetExtend.clientType : '';
    const organizationRole = musicSheetExtend.organizationRole ? '-' + musicSheetExtend.organizationRole : '';
    if (sourceType == 'ORG') {
      ownerName += ' (' + appName + organizationRole + ')'
    } else if (sourceType == 'PERSON') {
      ownerName += ' (' + appName + clientType + ')'
    } else if (sourceType == 'PLATFORM') {
      ownerName += ' (' + appName + clientType + ')'
    }
  }
  return ownerName;
}